function EPGPreserves:ShowReservistPopup(name)

	if self.db.profile.reservists[name]==nil then
		return
	end

	local framename = "EPGPReservistPopup"
	local f = CreateFrame("Frame",framename,UIParent)
		f:SetFrameStrata("BACKGROUND")
		f:SetWidth(256) 
		f:SetHeight(160) 
		f:SetBackdrop({bgFile = "Interface/Tooltips/UI-Tooltip-Background", 
										edgeFile = "Interface/Tooltips/UI-Tooltip-Border", 
										tile = true, tileSize = 16, edgeSize = 16, 
										insets = { left = 4, right = 4, top = 4, bottom = 4 }});
		f:SetBackdropColor(0,0,0,1);
		f:SetPoint(self.db.profile.Popuppoint,self.db.profile.PopuppointxOfs,self.db.profile.PopuppointyOfs)
		
		f:SetMovable(true)
		f:EnableMouse(true)
		f:SetScript("OnMouseDown",function()
						f:StartMoving()
						end)
		f:SetScript("OnMouseUp",function()
						f:StopMovingOrSizing()
						self.db.profile.Popuppoint, self.db.profile.PopuprelativeTo, self.db.profile.PopuprelativePoint, self.db.profile.PopuppointxOfs, self.db.profile.PopuppointyOfs = f:GetPoint()
						end)

						
		local infobox = f:CreateFontString("infobox"..name)
		infobox:SetFont("Fonts\\FRIZQT__.TTF", 14)
		infobox:SetWidth(200)
		infobox:SetPoint("TOP",0,-30)
		infobox:SetText("The reservist "..name.." is in the raid.|nReservist EP: "..self.db.profile.reservists[name])
		infobox:SetJustifyH("CENTER") 						
						
		local AwardEPButton = CreateFrame("Button", nil, f, "UIPanelButtonTemplate")
		AwardEPButton:SetNormalFontObject("GameFontNormalSmall")
		AwardEPButton:SetHighlightFontObject("GameFontHighlightSmall")
		AwardEPButton:SetDisabledFontObject("GameFontDisableSmall")
		AwardEPButton:SetHeight(22)
		AwardEPButton:SetPoint("BOTTOM",0,48)
		AwardEPButton:SetText("Award EP")
		AwardEPButton:SetWidth(200)
		AwardEPButton:SetScript("OnClick",
				  function()
					EPGPreserves:AwardEP(name)
					epgpraidhandling[name]=false
					f:Hide()
					EPGPreserves:DoNextPopup()
				  end)

		local RemoveFromListButton = CreateFrame("Button", nil, f, "UIPanelButtonTemplate")
		RemoveFromListButton:SetNormalFontObject("GameFontNormalSmall")
		RemoveFromListButton:SetHighlightFontObject("GameFontHighlightSmall")
		RemoveFromListButton:SetDisabledFontObject("GameFontDisableSmall")
		RemoveFromListButton:SetHeight(22)
		RemoveFromListButton:SetPoint("BOTTOM",0,26)
		RemoveFromListButton:SetText("Remove from the list")
		RemoveFromListButton:SetWidth(200)
		RemoveFromListButton:SetScript("OnClick",
				  function()
					EPGPreserves:RemoveFromList(name)
					epgpraidhandling[name]=false
					f:Hide()
					EPGPreserves:DoNextPopup()
				  end)

		local CancelButton = CreateFrame("Button", nil, f, "UIPanelButtonTemplate")
		CancelButton:SetNormalFontObject("GameFontNormalSmall")
		CancelButton:SetHighlightFontObject("GameFontHighlightSmall")
		CancelButton:SetDisabledFontObject("GameFontDisableSmall")
		CancelButton:SetHeight(22)
		CancelButton:SetPoint("BOTTOM",0,4)
		CancelButton:SetText("Close this window")
		CancelButton:SetWidth(200)
		CancelButton:SetScript("OnClick",
				  function()
					epgpraidhandling[name]=false
					f:Hide()
					EPGPreserves:DoNextPopup()
				  end)
		
		f:Show()		  
end

function EPGPreserves:DoNextPopup()
	epgpreserveInProgress = true
	local StillWorking = false
	for key,value in pairs(epgpraidhandling) do
		if(epgpraidhandling[key]==true)then
			EPGPreserves:ShowReservistPopup(key)
			StillWorking=true
			break
		end
	end
	epgpreserveInProgress = StillWorking
end

